Summary:	An integrated file sharing solution for the GNOME Desktop
Summary(pl.UTF-8):	Zintegrowane rozwiązanie do współdzielenia plików dla środowiska GNOME
Name:		gnome-user-share
Version:	3.34.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-user-share/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	a3d983d0cf8357832229ff96172418d8
Patch0:		%{name}-meson.patch
URL:		https://gitlab.gnome.org/GNOME/gnome-user-share/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.58
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libselinux-devel
BuildRequires:	meson >= 0.50.0
BuildRequires:	nautilus-devel >= 3.28
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	systemd-units
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.58
Requires(post,preun):	systemd-units >= 250.1
Requires:	apache-base >= 2.2
Requires:	apache-mod_auth_digest >= 2.2
Requires:	apache-mod_authn_file >= 2.2
Requires:	apache-mod_authz_groupfile >= 2.2
Requires:	apache-mod_dav >= 2.2
Requires:	apache-mod_dnssd >= 0.6
Requires:	glib2 >= 1:2.58
Requires:	nautilus >= 3.28
Requires:	systemd-units >= 250.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An integrated file sharing solution for the GNOME Desktop. It uses
WebDAV.

%description -l pl.UTF-8
Zintegrowane rozwiązanie do współdzielenia plików dla środowiska
GNOME. Używa WebDAV.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dhttpd=/usr/sbin/httpd \
	-Dmodules_path=%{_libdir}/apache

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%systemd_user_post gnome-user-share-webdav.service

%preun
%systemd_user_preun gnome-user-share-webdav.service

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc MAINTAINERS NEWS README
%attr(755,root,root) %{_libexecdir}/gnome-user-share-webdav
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-share-extension.so
%{systemduserunitdir}/gnome-user-share-webdav.service
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/%{name}
%{_desktopdir}/gnome-user-share-webdav.desktop
%changelog
* Sat Jan 08 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-user-share.git;a=log;h=master

* Sat Jan 08 2022 Jan Rękorajski <baggins@pld-linux.org> 4125353
- add systemd user service startup, rel 2

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> e191b7c
- updated to 3.34.0
- added meson patch (workaround for meson insisting to check binary existence even if path is explicitly specified)

* Sun Jan 27 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> a8203b3
- Updated to 3.28.0

* Sat Jun 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 12dc17d
- updated to 3.18.3

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 8b6aebd
- updated to 3.18.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0bdd359
- updated gettext BR

* Mon Dec 22 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4efacec
- Update to 3.14.2

* Fri Nov 12 2010 Szymon Siwek <sls@pld-linux.org> a7cab33
- more BR

* Fri Oct 08 2010 Jarosław Kruk <jareq@pld-linux.org> 3922f40
- updated to 2.30.1
- rel 1

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> 38053b1
- BR: gettext-devel, perl-XML-Parser, pkgconfig

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 549df9d
- finish updated to 0.31; fix previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> bdef15b
- updated to 0.31

* Fri Nov 09 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 1be5279
- added R(post,preun): GConf2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5cdf88b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ff49637
- converted to UTF-8

* Mon Dec 04 2006 Jakub Bogusz <qboosh@pld-linux.org> b669ff3
- safer .desktop glob

* Mon Dec 04 2006 aflinta <aflinta@pld-linux.org> 36d9c48
- up to 0.10

* Mon May 02 2005 Jakub Bogusz <qboosh@pld-linux.org> f89af1e
- BR: macros >= 1.198, removed export leftover

* Mon May 02 2005 wrobell <wrobell@pld-linux.org> 74a9422
- updated md5

* Mon May 02 2005 wrobell <wrobell@pld-linux.org> 786989a
- it does not use smb

